| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DiscoverySettings Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class DiscoverySettings, to define the attributes of the several discovery protocols available. More...

`#include <RTPSParticipantAttributes.hpp>`

## Public Member Functions

| DiscoverySettings ()=default
bool | operator== (const DiscoverySettings &b) const
void | static_edp_xml_config (const char *str)
| Set the static endpoint XML configuration.
const char * | static_edp_xml_config () const
| Get the static endpoint XML configuration.

## Public Attributes

DiscoveryProtocol | discoveryProtocol = DiscoveryProtocol::SIMPLE
| Chosen discovery protocol.
bool | use_SIMPLE_EndpointDiscoveryProtocol = true
| If set to true, SimpleEDP would be used.
bool | use_STATIC_EndpointDiscoveryProtocol = false
| If set to true, StaticEDP based on an XML file would be implemented.
dds::Duration_t | leaseDuration = { 20, 0 }
| Lease Duration of the RTPSParticipant, indicating how much time remote RTPSParticipants should consider this RTPSParticipant alive.
dds::Duration_t | leaseDuration_announcementperiod = { 3, 0 }
| The period for the RTPSParticipant to send its Discovery Message to all other discovered RTPSParticipants as well as to all Multicast ports.
InitialAnnouncementConfig | initial_announcements
| Initial announcements configuration.
SimpleEDPAttributes | m_simpleEDP
| Attributes of the SimpleEDP protocol.
PDPFactory | m_PDPfactory {}
| function that returns a PDP object (only if EXTERNAL selected)
dds::Duration_t | discoveryServer_client_syncperiod = { 0, 450 * 1000000}
| The period for the RTPSParticipant to: send its Discovery Message to its servers check for EDP endpoints matching.
eprosima::fastdds::rtps::LocatorList | m_DiscoveryServers
| Discovery Server initial connections, needed if discoveryProtocol = CLIENT | SUPER_CLIENT | SERVER | BACKUP.
ParticipantFilteringFlags | ignoreParticipantFlags = ParticipantFilteringFlags::NO_FILTER
| Filtering participants out depending on location.

## Detailed Description

Class DiscoverySettings, to define the attributes of the several discovery protocols available.

## Constructor & Destructor Documentation

## ◆ DiscoverySettings()

DiscoverySettings | ( |  | ) |

default

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const DiscoverySettings & | b | ) | const

inline

## ◆ static_edp_xml_config() [1/2]

const char * static_edp_xml_config | ( |  | ) | const

inline

Get the static endpoint XML configuration.

Returns
  URI specifying the static endpoint XML configuration. The string could contain a filename (file://) or the XML content directly (data://).

## ◆ static_edp_xml_config() [2/2]

void static_edp_xml_config | ( | const char * | str | ) |

inline

Set the static endpoint XML configuration.

Parameters

  str | URI specifying the static endpoint XML configuration. The string could contain a filename (file://) or the XML content directly (data://).

## Member Data Documentation

## ◆ discoveryProtocol

DiscoveryProtocol discoveryProtocol = DiscoveryProtocol::SIMPLE

Chosen discovery protocol.

## ◆ discoveryServer_client_syncperiod

dds::Duration_t discoveryServer_client_syncperiod = { 0, 450 * 1000000}

The period for the RTPSParticipant to: send its Discovery Message to its servers check for EDP endpoints matching.

## ◆ ignoreParticipantFlags

ParticipantFilteringFlags ignoreParticipantFlags = ParticipantFilteringFlags::NO_FILTER

Filtering participants out depending on location.

## ◆ initial_announcements

InitialAnnouncementConfig initial_announcements

Initial announcements configuration.

## ◆ leaseDuration

dds::Duration_t leaseDuration = { 20, 0 }

Lease Duration of the RTPSParticipant, indicating how much time remote RTPSParticipants should consider this RTPSParticipant alive.

## ◆ leaseDuration_announcementperiod

dds::Duration_t leaseDuration_announcementperiod = { 3, 0 }

The period for the RTPSParticipant to send its Discovery Message to all other discovered RTPSParticipants as well as to all Multicast ports.

## ◆ m_DiscoveryServers

eprosima::fastdds::rtps::LocatorList m_DiscoveryServers

Discovery Server initial connections, needed if discoveryProtocol = CLIENT | SUPER_CLIENT | SERVER | BACKUP.

## ◆ m_PDPfactory

PDPFactory m_PDPfactory {}

function that returns a PDP object (only if EXTERNAL selected)

## ◆ m_simpleEDP

SimpleEDPAttributes m_simpleEDP

Attributes of the SimpleEDP protocol.

## ◆ use_SIMPLE_EndpointDiscoveryProtocol

bool use_SIMPLE_EndpointDiscoveryProtocol = true

If set to true, SimpleEDP would be used.

## ◆ use_STATIC_EndpointDiscoveryProtocol

bool use_STATIC_EndpointDiscoveryProtocol = false

If set to true, StaticEDP based on an XML file would be implemented.

The XML filename must be provided.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAttributes.hpp